Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: anki package outdated

  1. #1
    Join Date
    Oct 2011
    Beans
    44
    Distro
    Xubuntu

    Question anki package outdated

    Please, could we have actualised anki package? Because in Ubuntu repository, there is 1.2.11 version, but oficially, there has been 2.x release for some time already...

    I would prefer not to install software manually, but via apt-get...

  2. #2
    dino99's Avatar
    dino99 is offline Ubuntu addict and loving it
    Join Date
    Jun 2006
    Location
    Nux Jam
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: anki package outdated

    you can download an already deb package, from the debian link:

    http://ankisrs.net/anki2.html

    download it into an empty folder, then from it:

    sudo dpkg -i *

    https://bugs.launchpad.net/ubuntu/+s...i/+bug/1066487
    Last edited by dino99; January 4th, 2013 at 11:57 AM.

  3. #3
    Join Date
    Oct 2011
    Beans
    44
    Distro
    Xubuntu

    Question Re: anki package outdated

    Quote Originally Posted by dino99 View Post
    you can download an already deb package, from the debian link:

    http://ankisrs.net/anki2.html

    download it into an empty folder, then from it:

    sudo dpkg -i *

    https://bugs.launchpad.net/ubuntu/+s...i/+bug/1066487
    But if I do so, then the package will not be updated automatically, or will it?
    Last edited by crysman; January 5th, 2013 at 02:17 PM. Reason: grammar mistakes
    --
    crysman, running Xubuntu

  4. #4
    Join Date
    Oct 2011
    Beans
    44
    Distro
    Xubuntu

    Re: anki package outdated

    Quote Originally Posted by crysman View Post
    But if I do so, then the package will not be updated automatically, or will it?
    I would rather have Anki 2 in official Ubuntu releases - how to achieve that? I've also left a query in the Anki 2 help forum here:
    https://groups.google.com/forum/?fro...rs/0pCBZUMbGMI
    Last edited by crysman; January 27th, 2013 at 01:27 PM. Reason: added link to Anki 2 forum
    --
    crysman, running Xubuntu

  5. #5
    Join Date
    Apr 2005
    Location
    Finland/UK
    Beans
    Hidden!
    Distro
    Ubuntu 14.10 Utopic Unicorn

    Re: anki package outdated

    In general, you don't ever get that kind of updates in Ubuntu. The package versions are frozen during the development of Ubuntu release, and after that you only get updates to fix serious bugs and to provide security fixes. Never just to give latest version of a package or add new features.

    There are some exceptions, but the rules for such updates are very strict.

    If you want to get more up-to-date version of a package and updates for it, try looking if you can find a PPA or some other third-party repository providing the package.

  6. #6
    Join Date
    Dec 2010
    Location
    Fukuoka, Japan
    Beans
    1,062
    Distro
    Kubuntu 14.04 Trusty Tahr

    Re: anki package outdated

    Quote Originally Posted by crysman View Post
    But if I do so, then the package will not be updated automatically, or will it?
    I installed from the .deb package on the anki homepage and while it doesnt automatically update, the program tells me when there is a more recent version and then all I have to do is follow the link and re-download the .deb file. Not as easy as auto-updates, but not difficult either.

    The problem with the Ubuntu repos is that Anki 2.0 was released just before Ubuntu 12.10 and thus did not make it into the repos. Hopefully it will be included in the 13.04 repos.

  7. #7
    Join Date
    Sep 2010
    Beans
    898

    Re: anki package outdated

    Anki 2 can also be kept up to date via its git repository. I find that more convenient than using the .deb:

    https://github.com/dae/anki
    https://github.com/dae/anki/blob/mas...ME.development

  8. #8
    dino99's Avatar
    dino99 is offline Ubuntu addict and loving it
    Join Date
    Jun 2006
    Location
    Nux Jam
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

  9. #9
    Join Date
    Oct 2011
    Beans
    44
    Distro
    Xubuntu

    Re: anki package outdated

    Quote Originally Posted by dino99 View Post
    That should help. I signed that, too, thanks.
    --
    crysman, running Xubuntu

  10. #10
    Join Date
    Sep 2010
    Beans
    898

    Re: anki package outdated

    I voted too.

    But even if Anki 2 were in the repo, it would quickly become out of date, since Anki has been getting updated every week or so, with bug fixes or feature additions.

    What's needed is a volunteer, or volunteers, to keep the repo package updated on a continuing basis.

Page 1 of 2 12 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •